PHYTOOL(8)

NAME
phytool - Linux MDIO register access

SYNOPSIS
phytool read IFACE/ADDR/REG

phytool write IFACE/ADDR/REG <0-0xffff>

phytool print IFACE/ADDR[/REG]

where

ADDR
    := C22 | C45

C22 := <0-0x1f>

C45 := <0-0x1f>:<0-0x1f>

REG := <0-0x1f>

DESCRIPTION
The read and write commands are simple register level accessors. The print command will pretty-print a register. When using the print command, the register is optional. If left out, the most common registers will be shown.

NOTES
Not all MDIO drivers support the port:device Clause 45 address format.

EXAMPLES

    phytool read eth0/0:3/1

    phytool write eth0/0xa/0 0x1140

    phytool print eth0/0x1c

REPORTING BUGS
Bug report address (https://github.com/wkz/phytool/issues)

SEE ALSO
mv6tool(8)